Bug 6647 - Label item search should use standard pagination routine
Summary: Label item search should use standard pagination routine
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Label/patron card printing (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL: /cgi-bin/koha/labels/label-item-searc...
Whiteboard:
Keywords:
Depends on: 20641
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-29 13:15 UTC by Owen Leonard
Modified: 2018-08-01 08:03 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 6647: Label item search should use standard pagination routine (5.32 KB, patch)
2018-06-06 14:59 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 6647: Label item search should use standard pagination routine (5.38 KB, patch)
2018-07-06 19:57 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 6647: Label item search should use standard pagination routine (5.44 KB, patch)
2018-07-07 11:56 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2011-07-29 13:15:11 UTC
label-item-search.pl uses its own routine to generate pagination links. It should use the pagination_bar function and the standard markup so that the pagination links look and work the same as on other Koha pages.
Comment 1 Owen Leonard 2018-06-06 14:59:15 UTC
Created attachment 75858 [details] [review]
Bug 6647: Label item search should use standard pagination routine

This patch doesn't fix how pagination links are generated for the label
item search results, but it does modify the template so that the
pagination links are styled like they are on catalog search results.

To test, apply the patch and go to Tools -> Labels.

 - Open or create a label batch.
 - Click "Add items" to trigger the pop-up search window.
 - Perform a search which would return multiple results.
 - Confirm that the style of the pagination bar matches the one on the
   catalog search results page.
 - Confirm that current-page number highlighting works correctly.
Comment 2 Maryse Simard 2018-07-06 19:57:01 UTC
Created attachment 76748 [details] [review]
Bug 6647: Label item search should use standard pagination routine

This patch doesn't fix how pagination links are generated for the label
item search results, but it does modify the template so that the
pagination links are styled like they are on catalog search results.

To test, apply the patch and go to Tools -> Labels.

 - Open or create a label batch.
 - Click "Add items" to trigger the pop-up search window.
 - Perform a search which would return multiple results.
 - Confirm that the style of the pagination bar matches the one on the
   catalog search results page.
 - Confirm that current-page number highlighting works correctly.

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Comment 3 Katrin Fischer 2018-07-07 11:56:59 UTC
Created attachment 76750 [details] [review]
Bug 6647: Label item search should use standard pagination routine

This patch doesn't fix how pagination links are generated for the label
item search results, but it does modify the template so that the
pagination links are styled like they are on catalog search results.

To test, apply the patch and go to Tools -> Labels.

 - Open or create a label batch.
 - Click "Add items" to trigger the pop-up search window.
 - Perform a search which would return multiple results.
 - Confirm that the style of the pagination bar matches the one on the
   catalog search results page.
 - Confirm that current-page number highlighting works correctly.

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2018-07-07 11:58:38 UTC
Stumbled on bug 21050 while testing this.
Comment 5 Nick Clemens 2018-07-13 11:27:24 UTC
Awesome work all!

Pushed to master for 18.11
Comment 6 Martin Renvoize 2018-07-15 19:07:23 UTC
Pushed to 18.05.x for 18.05.02
Comment 7 Fridolin SOMERS 2018-07-30 12:50:24 UTC
Not a real bug, I choose not to push to 17.11.x
Comment 8 Martin Renvoize 2018-08-01 08:03:21 UTC
Reverted from 18.05.x for 18.05.03, I missed a dependency chain here.. :'(.